Bug 117425 - 2 * used before set
2 * used before set
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-03 15:58 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 17:00:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-03-03 15:58:53 EST
Description of problem:

I just tried to compile Fedora Core2 Test1 package mozilla-1.6-0

The compiler said

1.

jsdtoa.c(998): remark #592: variable "a" is used before its value is set

The source code is

    double a;

    L = (word0(x) & Exp_mask) - (P-1)*Exp_msk1;
#ifndef Sudden_Underflow
    if (L > 0) {
#endif
        set_word0(a, L);

We can clearly see that local variable a is uninit when it is
given to set_word. I'm not sure what the fix is for this.

2.

jsdtoa.c(1038): remark #592: variable "d" is used before its value is set

The source code is

        set_d0(Exp_1 | y >> (Ebits - k));

Suggest init d before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David Binderman 2004-12-27 06:52:47 EST
I can confirm that this bug still exists in the source
code of 2004-12-27.

Note You need to log in before you can comment on or make changes to this bug.